<template>
  <v-app id="keep">
    <v-app-bar app clipped-left color="indigo" dark>
      <v-app-bar-nav-icon @click="drawer = !drawer" />
      <span class="title ml-3 mr-5">GOBEE</span>
    </v-app-bar>

    <v-navigation-drawer v-model="drawer" app clipped color="indigo" dark>
      <v-list>
        <template v-for="(item, i) in items">
          <v-row v-if="item.heading" :key="i" align="center">
            <v-col cols="6">
              <v-subheader v-if="item.heading">{{ item.heading }}</v-subheader>
            </v-col>
            <v-col cols="6" class="text-right">
              <v-btn small text>edit</v-btn>
            </v-col>
          </v-row>
          <v-divider v-else-if="item.divider" :key="i" dark class="my-4" />
          <router-link v-else :key="i" :to="item.to">
            <v-list-item link>
              <v-list-item-action>
                <v-icon>{{ item.icon }}</v-icon>
              </v-list-item-action>
              <v-list-item-content>
                <v-list-item-title class="white--text">{{
                  item.text
                }}</v-list-item-title>
              </v-list-item-content>
            </v-list-item>
          </router-link>
        </template>
      </v-list>
    </v-navigation-drawer>

    <v-content>
      <v-container fluid class="grey lighten-4 fill-height">
        <slot />
      </v-container>
    </v-content>
    <v-footer color="indigo" app>
      <span class="white--text">&copy; Tech Paradise 2019</span>
    </v-footer>
  </v-app>
</template>

<script>
export default {
  props: {
    source: String
  },
  data: () => ({
    drawer: null,
    items: [
      { icon: "mdi-chart-line", text: "Dashboard", to: "/" },
      { icon: "mdi-file-table-outline", text: "Tickets", to: "/tickets" },
      { icon: "mdi-store", text: "Productos", to: "/productos" }
    ]
  })
};
</script>

<style></style>
